Skip to main content
GET
/
networks
/
offers
/
{offerId}
/
trackingdomain
/
{domainId}
/
url
/
{affiliateId}
/
{urlId}
Generate Offer URL Tracking Link
curl --request GET \
  --url https://api.eflow.team/v1/networks/offers/{offerId}/trackingdomain/{domainId}/url/{affiliateId}/{urlId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "url": "https://www.testtracking.com/26W72JGK/4P81Z17/?uid=1186"
}
Generate a tracking URL for a specific offer, tracking domain, affiliate, and offer URL combination. This is useful for retrieving the exact tracking link that an affiliate would use for a particular offer URL. Optional query parameters allow you to include a traffic source or force a redirect link.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerId
integer
required

The ID of the offer.

domainId
integer
required

The ID of the tracking domain.

affiliateId
integer
required

The ID of the affiliate.

urlId
integer
required

The ID of the offer URL. Use 0 to use the default offer URL.

Query Parameters

network_traffic_source_id
integer

An optional traffic source ID. When provided, the traffic source parameters will be appended to the tracking URL.

Only relevant for direct linking offers. Can be used to override the default setting and generate a redirect link.

Response

200 - application/json

OK

url
string

The generated tracking URL. Includes a uid query parameter referencing the offer URL ID.